<?php

/***********************************************************************

 設定は config.php ファイルをごらんください

************************************************************************/

// ---------------------------------------------------------------------


require_once('config.php');
require_once('./inc/gamesession.php');

ob_start();
header('Cache-Control: no-cache, must-revalidate');
header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
$session = GameSession::load();
header('Content-type: text/plain');
if ($id = $session->isLogin()) {
	if ($_SERVER['REQUEST_METHOD'] == 'POST') {
		if (isset($_POST['cmd'])) {
			if ($_POST['cmd'] == 'move') {
				$session->moveAction($id, $_POST['action']);
			} elseif ($_POST['cmd'] == 'attack') {
				$session->attackAction($id, $_POST['action']);
				if ($_POST['action'] == GameSession::ATK_FALL) {
					echo '-1';
				}
			} elseif ($_POST['cmd'] == 'logout') {
				$session->gameLogout($id);
				echo '-1';
			}
			if (!$session->isAlive($id)) {
				unset($session);
				echo '';
				exit;
			}
		}
	}
	$last_update = isset($_GET['update'])? $_GET['update']: 0;
	echo $session->gameData($id, $last_update);
} else {
	echo '';
}
unset($session);

?>